{
  "main": {
    "id": "9c5b007ab74924bc",
    "type": "split",
    "children": [
      {
        "id": "4c1f5b7a6abb1339",
        "type": "tabs",
        "children": [
          {
            "id": "51157f32453cba69",
            "type": "leaf",
            "state": {
              "type": "markdown",
              "state": {
                "file": "Concurrent Systems/notes/3a - Hardware primitives & Lamport Bakery algorithm.md",
                "mode": "source",
                "source": false
              },
              "icon": "lucide-file",
              "title": "3a - Hardware primitives & Lamport Bakery algorithm"
            }
          }
        ]
      }
    ],
    "direction": "vertical"
  },
  "left": {
    "id": "e2078ffa3de56c07",
    "type": "split",
    "children": [
      {
        "id": "d86cb8d8115f9e4b",
        "type": "tabs",
        "children": [
          {
            "id": "2b2245f56092006e",
            "type": "leaf",
            "state": {
              "type": "file-explorer",
              "state": {
                "sortOrder": "alphabetical",
                "autoReveal": false
              },
              "icon": "lucide-folder-closed",
              "title": "Files"
            }
          },
          {
            "id": "954699747dc12b5e",
            "type": "leaf",
            "state": {
              "type": "search",
              "state": {
                "query": "tag:#𝑆X",
                "matchingCase": false,
                "explainSearch": false,
                "collapseAll": false,
                "extraContext": false,
                "sortOrder": "alphabetical"
              },
              "icon": "lucide-search",
              "title": "Search"
            }
          },
          {
            "id": "71e92c2ed6f6f21c",
            "type": "leaf",
            "state": {
              "type": "bookmarks",
              "state": {},
              "icon": "lucide-bookmark",
              "title": "Segnalibri"
            }
          }
        ]
      }
    ],
    "direction": "horizontal",
    "width": 307.5
  },
  "right": {
    "id": "bc4b945ded1926e3",
    "type": "split",
    "children": [
      {
        "id": "00a3201508c9b6f7",
        "type": "tabs",
        "children": [
          {
            "id": "34cc5dc90419b254",
            "type": "leaf",
            "state": {
              "type": "backlink",
              "state": {
                "file": "Autonomous Networking/notes/q&a.md",
                "collapseAll": false,
                "extraContext": false,
                "sortOrder": "alphabetical",
                "showSearch": false,
                "searchQuery": "",
                "backlinkCollapsed": false,
                "unlinkedCollapsed": true
              },
              "icon": "links-coming-in",
              "title": "Backlinks for q&a"
            }
          },
          {
            "id": "f4a0915b879a43cd",
            "type": "leaf",
            "state": {
              "type": "outgoing-link",
              "state": {
                "file": "Autonomous Networking/notes/q&a.md",
                "linksCollapsed": false,
                "unlinkedCollapsed": true
              },
              "icon": "links-going-out",
              "title": "Outgoing links from q&a"
            }
          },
          {
            "id": "c12ba700d0604b95",
            "type": "leaf",
            "state": {
              "type": "tag",
              "state": {
                "sortOrder": "frequency",
                "useHierarchy": true
              },
              "icon": "lucide-tags",
              "title": "Tags"
            }
          },
          {
            "id": "77997770a5699d72",
            "type": "leaf",
            "state": {
              "type": "outline",
              "state": {
                "file": "Autonomous Networking/notes/q&a.md"
              },
              "icon": "lucide-list",
              "title": "Outline of q&a"
            }
          },
          {
            "id": "0d5325c0f9289cea",
            "type": "leaf",
            "state": {
              "type": "git-view",
              "state": {},
              "icon": "git-pull-request",
              "title": "Source Control"
            }
          },
          {
            "id": "cbc4870b4c7598e1",
            "type": "leaf",
            "state": {
              "type": "chat-view",
              "state": {
                "file": "Chats/New Chat.md"
              },
              "icon": "lucide-file",
              "title": "Plugin no longer active"
            }
          }
        ],
        "currentTab": 4
      }
    ],
    "direction": "horizontal",
    "width": 364.5,
    "collapsed": true
  },
  "left-ribbon": {
    "hiddenItems": {
      "switcher:Open quick switcher": false,
      "graph:Open graph view": false,
      "canvas:Create new canvas": false,
      "daily-notes:Open today's daily note": false,
      "templates:Insert template": false,
      "command-palette:Open command palette": false,
      "obsidian-ocr:Search OCR": false,
      "pdf-plus:PDF++: Toggle auto-copy": false,
      "pdf-plus:PDF++: Toggle auto-focus": false,
      "pdf-plus:PDF++: Toggle auto-paste": false,
      "obsidian-git:Open Git source control": false,
      "smart-second-brain:Open S2B Chat": false,
      "companion:Toggle completion": false
    }
  },
  "active": "51157f32453cba69",
  "lastOpenFiles": [
    "Concurrent Systems/notes/2b - Round Robin algorithm.md",
    "Concurrent Systems/notes/2 - Fast mutex by Lamport.md",
    "Concurrent Systems/notes/3b - Aravind's algorithm and improvements.md",
    "Concurrent Systems/notes/3a - Hardware primitives & Lamport Bakery algorithm.md",
    "Concurrent Systems/notes/6 - Atomicity.md",
    "Concurrent Systems/notes/4c - Dining Philosophers.md",
    "Concurrent Systems/notes/5 - Software Transactional Memory.md",
    "Concurrent Systems/notes/1b - Peterson algorithm.md",
    "Concurrent Systems/notes/4b - Monitors.md",
    "Concurrent Systems/notes/4 - Semaphores.md",
    "Concurrent Systems/notes/1 - CS Basics.md",
    "conflict-files-obsidian-git.md",
    "Concurrent Systems/notes/images/Pasted image 20250318090909.png",
    "Concurrent Systems/notes/images/Pasted image 20250318090733.png",
    "Concurrent Systems/slides/class 6.pdf",
    "Pasted image 20250318090909.png",
    "Pasted image 20250318090733.png",
    "Concurrent Systems/slides/class 5.pdf",
    "Concurrent Systems/notes/images/Pasted image 20250317105355.png",
    "Concurrent Systems/slides/class 4.pdf",
    "Concurrent Systems/notes/images/Pasted image 20250317100456.png",
    "HCIW/slides/4 HUI2016-6-forcefeedback.pdf",
    "HCIW/slides/3b Haptic slides.pdf",
    "HCIW/slides/3Haptic interaction.pdf",
    "HCIW/slides/2 Beacon based interfaces.pdf",
    "HCIW/slides/1 User Experience for IoT.pdf",
    "HCIW/slides/1 Interface and Interaction for IoT.pdf",
    "HCIW/notes/2 - Interface and Interaction for IoT.md",
    "HCIW/notes/3 - Beacons.md",
    "Concurrent Systems/notes/images/Pasted image 20250312121828.png",
    "Concurrent Systems/notes/images/Pasted image 20250310172134.png",
    "Concurrent Systems/slides/class 3.pdf",
    "Concurrent Systems/notes/images/Pasted image 20250310103703.png",
    "Concurrent Systems/notes/1 - CS Basics2.md",
    "Pasted image 20250305182542.png",
    "HCIW/notes/1 - UX for IoT.md",
    "HCIW/exercises/Exercise.md",
    "Foundation of data science/notes/1 CV Basics.md",
    "Foundation of data science/notes/7 Autoencoders.md",
    "Foundation of data science/notes/6 PCA.md",
    "Foundation of data science/notes/5 Neural Networks.md",
    "Foundation of data science/notes/8 Variational Autoencoders.md",
    "Foundation of data science/notes/3 Logistic Regression.md",
    "Foundation of data science/notes/3.1 Multi Class Logistic Regression.md",
    "Foundation of data science/notes/4 L1 and L2 normalization - Lasso and Ridge.md",
    "Foundation of data science/notes/3.2 LLM generated from notes.md",
    "Senza nome.canvas"
  ]
}